/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2016 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base;

import static org.fortiss.tooling.base.internal.ToolingBaseInternal.initializeToolingBase;
import static org.fortiss.tooling.base.internal.ToolingBaseInternal.startToolingBase;

/**
 * Class for centrally initializing and starting the tooling base services.
 * 
 * @author barner
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating YELLOW Hash: DA712908F6E2613C4164C4316436A82A
 */
public final class ToolingBase {
	/** Initialize the kernel. */
	public static void initialize() {
		initializeToolingBase();
	}

	/** Start the kernel. */
	public static void start() {
		startToolingBase();
	}
}
