/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2015 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.model.layout.impl;

import org.fortiss.tooling.base.model.layout.Rectangle;

/**
 * Static implementation for the {@link Rectangle} layout element.
 * 
 * @author diewald
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: 5C17627A21C4AC1C673D93113B2A0ECC
 */
public class RectangleStaticImpl {

	/** Static implementation of the method {@link Rectangle#setLocation(int, int)}. */
	public static Rectangle setLocation(Rectangle rect, int x, int y) {
		rect.setX(x);
		rect.setY(y);
		return rect;
	}

	/** Static implementation of the method {@link Rectangle#setSize(int, int)}. */
	public static Rectangle setSize(Rectangle rect, int width, int height) {
		rect.setWidth(width);
		rect.setHeight(height);
		return rect;
	}
}
