/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2012 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.graphicsGL.ui.objects;

import static org.fortiss.tooling.graphicsGL.ui.util.GLPrimitives.drawMaterialGroups;

import org.fortiss.tooling.graphicsGL.model.scene.Object3D;
import org.fortiss.tooling.graphicsGL.ui.camera.Camera;

/**
 * {@link ViewObjectBase} instance for {@link Object3D} models.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: 645604B3740ADFEA2D5D01909ACFF6EC
 */
public class Object3DViewObject extends ViewObjectBase {
	/** The model object. */
	private final Object3D model;

	/** Constructor. */
	public Object3DViewObject(Object3D model) {
		this.model = model;
	}

	/** {@inheritDoc} */
	@Override
	public void renderObject(Camera c) {
		if(model != null && model.getMesh() != null) {
			drawMaterialGroups(model.getMesh().getMaterialGroups());
		}
	}
}
