/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.ui.service;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.gef.EditPartFactory;
import org.fortiss.tooling.kernel.ui.extension.IEditPartFactory;
import org.fortiss.tooling.kernel.ui.internal.EditPartFactoryService;

/**
 * The edit part factory service provides registration of {@link IEditPartFactory}s. The service is
 * itself an {@link EditPartFactory} and can therefore be used as factory for all GEF-based
 * graphical editors.
 * 
 * @see IEditPartFactory
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: 3FA1BAB588E47827E386B66D8517181D
 */
public interface IEditPartFactoryService extends EditPartFactory {
	/** Returns the service instance. */
	public static IEditPartFactoryService getInstance() {
		return EditPartFactoryService.getInstance();
	}

	/** Registers the given editpart factory with the kernel. */
	void registerEditpartFactory(IEditPartFactory factory, Class<EObject> modelElementClass);
}
