/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2016 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.spiderchart.style;

import org.eclipse.swt.graphics.RGB;

/**
 * Represents a style to be used in for filling areas.
 *
 * @author mondal
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: 539AFFF4875378DAD72A7AB7E7D31174
 */
public final class FillStyle extends ColorStyleBase {
	/** Alpha transparency value (default is opaque 255). */
	private final int alpha;

	/** Constructor */
	public FillStyle(RGB rgbColor) {
		this(rgbColor, 255);
	}

	/** Constructor */
	public FillStyle(RGB rgbColor, int alpha) {
		super(rgbColor);
		this.alpha = alpha;
	}

	/** Returns alpha value. */
	public int getAlpha() {
		return alpha;
	}
}
